# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
{
   "key":"{11E91AF3-0B2A-4FE5-9D2F-CC3EDF2C0EBE}_is1",
   "name":"TSPrint Client",
   "version":"3.2.3.13",
   "install_date":"2024-07-01 00:00:00",
   "install_location":"C:\\Program Files (x86)\\TerminalWorks\\TSPrint\\",
   "uninstall_string":"\"C:\\Program Files (x86)\\TerminalWorks\\TSPrint\\unins000.exe\"",
   "publisher":"TerminalWorks, Ltd.",
   "system_component":0,
   "win64":false
  }
"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
   
    # Installing the software
    
    install_exe_if_needed('TSPrint_client.exe',
        silentflags='/VERYSILENT /SUPPRESSMSGBOXES /NORESTART',
        key='{11E91AF3-0B2A-4FE5-9D2F-CC3EDF2C0EBE}_is1',
        min_version=control.get_software_version(),
    )



