# -*- coding: utf-8 -*-
from setuphelpers import *
import setupdevhelpers
from setupdevhelpers import *
import re
import requests

def update_package():
    # Déclaration des variables locales
    package_updated = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()

    architecture = control.architecture
    url = "https://www.terminalworks.com/remote-desktop-printing/downloads"
    divs = bs_find_all(url, 'div', "class", "container xs__tw-font",proxies=proxies)

    exe_file = None
    for div in divs:
        links = div.find_all('a', href=True)
        for link in links:
            href = link['href']
            print(f"Found link: {href}")
            if href.endswith('client.exe'):
                # Correction pour éviter les doublons dans l'URL
                if not href.startswith('http'):
                    exe_file = f"https://www.terminalworks.com{href}"
                else:
                    exe_file = href
                break
    download_url = requests.head(exe_file,proxies=proxies,allow_redirects=True).url
    latest_bin = download_url.split('/')[-1]
    print("Download URL is: %s" % download_url)

    # Supprimer les anciens fichiers binaires
    for f in glob.glob("*.exe"):
        if f != latest_bin:
            remove_file(f)

    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(download_url, latest_bin, proxies=proxies)
    else:
        print("Binary is present: %s" % latest_bin)

    # Obtenir la version à partir du binaire
    version = get_version_from_binary(latest_bin)

    # Mettre à jour le package
    control.set_software_version(version)
    control.save_control_to_wapt()
